﻿using System.Windows.Controls;

namespace ShareReadability.Util
{
    /// @file CustomSlider.cs
    /// <inheritdoc />
    /// <summary>
    /// This class represents a custom slider which is capable to suppress the ValueChanged event on demand.
    /// </summary>
    public class CustomSlider : Slider
    {
        public bool DontRunHandler { get; set; }

        /// <inheritdoc />
        /// <summary>
        /// Constructor of the custom slider.
        /// </summary>
        public CustomSlider()
        {
            DontRunHandler = true;
        }
    }
}