﻿using CefSharp;

namespace ShareReadability.Util
{
    /// @file LifeSpanHandler.cs 
    /// <inheritdoc />
    /// <summary>
    /// LifeSpanHandler to prevent pop ups while downloading the PDF.
    /// https://github.com/cefsharp/CefSharp/issues/600#issuecomment-345418502
    /// </summary>
    public class LifeSpanHandler : ILifeSpanHandler
    {
        public bool DoClose(IWebBrowser browserControl, IBrowser browser)
        {
            return false;
        }

        public bool OnBeforePopup(IWebBrowser browserControl, IBrowser browser, IFrame frame, string targetUrl,
            string targetFrameName,
            WindowOpenDisposition targetDisposition, bool userGesture, IPopupFeatures popupFeatures,
            IWindowInfo windowInfo,
            IBrowserSettings browserSettings, ref bool noJavascriptAccess, out IWebBrowser newBrowser)
        {
            browserControl.Load(targetUrl);
            newBrowser = null;
            return true;
        }
        

        public void OnAfterCreated(IWebBrowser browserControl, IBrowser browser)
        {
            // DO NOTHING
        }

        public void OnBeforeClose(IWebBrowser browserControl, IBrowser browser)
        {
            // DO NOTHING
        }
    }
}